slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSProblemType

Determines the type of eigenvalue problem

### Synopsis

    typedef enum { EPS_HEP=1,
                   EPS_GHEP,
                   EPS_NHEP,
                   EPS_GNHEP,
                   EPS_PGNHEP,
                   EPS_GHIEP } EPSProblemType;

### See Also

EPSSetProblemType(), EPSGetProblemType()

### Level

beginner

### Location

include/slepceps.h

### Examples

src/eps/tutorials/ex1.c
src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex2.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex9.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
src/eps/tutorials/ex11.c
src/eps/tutorials/ex12.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages